Bug 432158 - Wrong local settings when French is selected
Wrong local settings when French is selected
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-09 02:51 EST by Thomas Canniot
Modified: 2008-02-19 15:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-19 15:19:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2008-02-09 02:51:53 EST
Description of problem:
When I told anaconda that my language is French, it does not select the French
(latin9) keyboard (but an American one) and tells me that I leave somewhere in
America, where it should be Paris, in France.
The UTC time clock is also checked where it shouldn't.

However the bug does not seem to happen all the time. It does on my two machines
(a laptop and a desktop pc), but other people told me everything was alright for

Version-Release number of selected component (if applicable):
f9 alpha anaconda

How reproducible:
always, but not on every machines

Expected results:
When French is selected, Anaconda should select French(latin-9) keyboard, select
Paris as the default location and uncheck the UTC time checkbox.
Comment 1 Thomas Canniot 2008-02-09 04:41:53 EST
In text mode install, anaconda choose the right keyboard after French language
is selected. But bug #432162 prevents me to look if Paris is well selected either.
Comment 2 Johan Cwiklinski 2008-02-09 07:31:06 EST
I've tried a netinstall from rescuecd, all there is ok when I've selected french
as language : 
- keyboard default selection is french latin9
- timezone is setted to Europe/Paris

From the KDE livecd (i386), I've the same issues as Thomas : both keyboard and
timezone are set for US and not french.
Comment 3 Jeremy Katz 2008-02-10 10:06:16 EST
What type of install are you doing?
Comment 4 Thomas Canniot 2008-02-10 14:03:28 EST
I'm am running a DVD i386 fresh install in graphic mode.
Comment 5 Chris Lumens 2008-02-19 15:19:14 EST
This will be fixed in the next builds of anaconda and system-config-keyboard.

Note You need to log in before you can comment on or make changes to this bug.